DynamicMapInstantiator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tuple
Class DynamicMapInstantiator

    java.lang.Object
      org.hibernate.tuple.DynamicMapInstantiator

All Implemented Interfaces:
  Serializable, Instantiator

    public class DynamicMapInstantiator

extends Object
implements Instantiator

See Also:
  Serialized Form

Field Summary
`static String` | `KEY`

Constructor Summary
`DynamicMapInstantiator()`
`DynamicMapInstantiator(EntityBinding mappingInfo)`
`DynamicMapInstantiator(PersistentClass mappingInfo)`

Method Summary
`protected Map` | `generateMap()`
`Object` | `instantiate()` Perform the requested instantiation.
`Object` | `instantiate(Serializable id)` Perform the requested entity instantiation.
`boolean` | `isInstance(Object object)` Performs check to see if the given object is an instance of the entity or component which this Instantiator instantiates.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEY

    public static final String KEY

See Also:
  Constant Field Values

Constructor Detail

### DynamicMapInstantiator

    public DynamicMapInstantiator()

### DynamicMapInstantiator

    public DynamicMapInstantiator(PersistentClass mappingInfo)

### DynamicMapInstantiator

    public DynamicMapInstantiator(EntityBinding mappingInfo)

Method Detail

### instantiate

    public final Object instantiate(Serializable id)

  Description copied from interface: `Instantiator`
  Perform the requested entity instantiation.

  This form is never called for component instantiation, only entity instantiation.

  Specified by:
    `instantiate` in interface `Instantiator`
  Parameters:
    `id` - The id of the entity to be instantiated.
  Returns:
    An appropriately instantiated entity.

### instantiate

    public final Object instantiate()

  Description copied from interface: `Instantiator`
  Perform the requested instantiation.

  Specified by:
    `instantiate` in interface `Instantiator`
  Returns:
    The instantiated data structure.

### isInstance

    public final boolean isInstance(Object object)

  Description copied from interface: `Instantiator`
  Performs check to see if the given object is an instance of the entity or component which this Instantiator instantiates.

  Specified by:
    `isInstance` in interface `Instantiator`
  Parameters:
    `object` - The object to be checked.
  Returns:
    True is the object does represent an instance of the underlying entity/component.

### generateMap

    protected Map generateMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.